html {
  scroll-behavior: smooth;
}

/**
 * inputs ---------------------------------------
 */
input[type="text"],
input[type="email"],
input[type="password"],
input[type="url"],
input[type="tel"],
input[type="search"],
textarea {
  box-sizing: border-box;
  border-style: solid;
  border-width: 1px;
  border-color: var(--wp--preset--color--border-neutral);
  border-radius: var(--wp--custom--border-radius--30);
  outline: none;
  padding: 14px;
  font-size: 16px;
  color: currentColor;
}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="password"]:focus,
input[type="url"]:focus,
input[type="search"]:focus,
textarea:focus {
  outline: 2px solid var(--wp--preset--color--primary);
}

.wp-block-comments textarea#comment {
  margin-top: 5px;
}

/**
 * core/button =============================================
 */

.wp-block-button.is-style-outline .wp-block-button__link {
  color: currentColor;
  border: none;
  padding: 14px 28px;
  outline: 1px solid var(--wp--preset--color--border-neutral);
  outline-offset: -1px;
}
.wp-block-button.is-style-secondary-button .wp-element-button {
  color: var(--wp--preset--color--primary);
  background-color: color-mix(
    in srgb,
    var(--wp--preset--color--primary) 8%,
    white
  );
}
.wp-block-button.is-style-tertiary-button .wp-element-button {
  background: none;
  padding: 0;
  color: var(--wp--preset--color--content-link);
}

/**
 * core/search  =============================================
 */

:where(.wp-block-search__button-inside .wp-block-search__inside-wrapper) {
  box-sizing: border-box;
  overflow: hidden;
  border-radius: var(--wp--custom--border-radius--40);
  border-style: solid;
  border-width: 1px;
  border-color: var(--wp--preset--color--border-neutral);
  outline: none;
}

/**
 * core/details =============================================
 */

.wp-block-details > summary {
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.wp-block-details > summary::-webkit-details-marker {
  display: none;
}

.wp-block-details > summary::after {
  content: "+";
  margin-left: 1ch;
  display: inline-block;
  font-size: 1.5rem;
  line-height: 1;
}

.wp-block-details[open] > summary::after {
  content: "-";
}

/**
 * core/cover =============================================
 */
.wp-block-post .wp-block-cover {
  background: url("../images/placeholder.png");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}
/**
 * Additions =============================================
 */

/* positions */
.absolute {
  position: absolute !important;
}
.relative {
  position: relative;
}
.top-0 {
  top: 0;
}
.left-0 {
  left: 0;
}
.right-0 {
  right: 0;
}
.bottom-0 {
  bottom: 0;
}
.z-index-10 {
  z-index: 10;
}
.z-index-20 {
  z-index: 20;
}
.z-index-30 {
  z-index: 30;
}
.z-index-40 {
  z-index: 40;
}
.z-index-50 {
  z-index: 50;
}
.z-index-999 {
  z-index: 999;
}

/* inverted radius */

/* .inverted-radius {
  --r: 20px; /* the radius */
  --s: 30px; /* size of inner curve */
  --x: 10px; /* horizontal offset (no percentange) */
  --y: 10px; /* vertical offset (no percentange) */

  --_m: /calc(2 * var(--r)) calc(2 * var(--r)) radial-gradient(#000 70%, #0000
        72%);
  --_g: conic-gradient(at calc(100% - var(--r)) var(--r), #0000 25%, #000 0);
  --_d: (var(--s) + var(--r));
  mask: calc(100% - var(--_d) - var(--x)) 0 var(--_m),
    100% calc(var(--_d) + var(--y)) var(--_m),
    radial-gradient(var(--s) at 100% 0, #0000 99%, #000 calc(100% + 1px))
      calc(-1 * var(--r) - var(--x)) calc(var(--r) + var(--y)),
    var(--_g) calc(-1 * var(--_d) - var(--x)) 0,
    var(--_g) 0 calc(var(--_d) + var(--y));
  mask-repeat: no-repeat;
} */

/* glass effect */

.glass-filter-1 {
  backdrop-filter: blur(5px);
}

.glass-filter-2 {
  backdrop-filter: blur(10px);
}

.glass-filter-3 {
  backdrop-filter: blur(15px);
}

.glass-filter-4 {
  backdrop-filter: blur(20px);
}



/**
 * Anpassungen =============================================
 */


.wp-elements-234e57400cf5587740bb7caa261d6fc4 a:where(:not(.wp-element-button)) {
    color: var(--wp--preset--color--contrast);
    display: none;
}


:root :where(.wp-block-group-is-layout-flow) > :first-child
Specificity: (0,2,0)
 {
    margin-block-start: 0;
    display: none;
}


:where(.wp-site-blocks) > :first-child {
    margin-block-start: 0;
    width: 1200px;
    margin: 0 auto;
}

.wp-block-navigation__container:only-child, .wp-block-page-list:only-child {
    flex-grow: 1;
    font-size: larger;
}

.wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container
Specificity: (0,3,0)
 {
    background-color: #fff;
border: none !important;
    padding-top: 10px;
}

a:hover .wp-block-navigation .has-child .wp-block-navigation__submenu-container>.wp-block-navigation-item>.wp-block-navigation-item__content {
    color: #5b9ab2;
    text-decoration: underline;
}

a:active .wp-block-navigation .has-child .wp-block-navigation__submenu-container>.wp-block-navigation-item>.wp-block-navigation-item__content {
    color: #5b9ab2;
}

.wp-block-group .alignfull .has-tertiary-background-color .has-background .has-global-padding .is-content-justification-center .is-layout-constrained .wp-block-group-is-layout-constrained {
display: none;
}

:root :where(.wp-block-group-is-layout-flow) > :first-child {
    margin-block-start: 0;
}
:root :where(.wp-block-group-is-layout-flow) > div {

}
:root :where(.wp-block-group-is-layout-flow) > :first-child h1 {
display: none !important;
}

.wp-block-group .alignfull .has-base-light-color .has-primary-light-background-color .has-text-color .has-background .has-link-color .wp-elements-52d240a0322c622733302f7b91c11b48 .has-global-padding .is-layout-constrained .wp-container-core-group-is-layout-c385debf .wp-block-group-is-layout-constrained {
height: auto !important;
}

.wp-block-group .is-layout-flow .wp-container-core-group-is-layout-19eabfb7 .wp-block-group-is-layout-flow > div {
background: white !important;
}

.wp-block-navigation.items-justified-right .wp-block-navigation__container .has-child .wp-block-navigation__submenu-container, .wp-block-navigation.items-justified-right .wp-block-page-list>.has-child .wp-block-navigation__submenu-container, .wp-block-navigation.items-justified-space-between .wp-block-page-list>.has-child:last-child .wp-block-navigation__submenu-container, .wp-block-navigation.items-justified-space-between>.wp-block-navigation__container>.has-child:last-child .wp-block-navigation__submenu-container {
    left: 0;
    right: auto;
}

.wp-block-group .is-layout-flow .wp-container-core-group-is-layout-19eabfb7 .wp-block-group-is-layout-flow > div > div {
height: 0 !important;
}

li a:hover {
text-decoration: underline;
}


@media screen and (max-width: 1199px) {

:where(.wp-site-blocks) > :first-child {
width: 100%;
}
:root :where(.wp-block-group-is-layout-flow) > :last-child {
    padding: 0 25px;
}

}

@media screen and (max-width: 919px) {

.wp-block-site-logo a, .wp-block-site-logo img {
    width: 200px;
}


}


@media screen and (max-width: 599px) {
.wp-block-navigation__responsive-container {
width: auto;
    max-width: 50%;
}
h1 {
font-size: 2.5rem !important;
}

h2 {
font-size: 2rem !important;
}

/*.wp-block-navigation.items-justified-right {
    --navigation-layout-justification-setting: flex-start !important;
    --navigation-layout-justify: flex-start !important;
}*/

#modal-1-content ul {
text-align: left;
}
.wp-block-site-title {
font-size: 1.8rem;
}
.has-large-font-size {
font-size: 1.5rem;
}

}
@media screen and (max-width: 399px) {
/*div {
max-width: 390px !important;
}*/

.wp-block-site-logo a, .wp-block-site-logo img {
    width: 150px !important;
}

:root :where(.wp-block-group-is-layout-flow) > :last-child {
    padding: 0 15px;
}

.rtl {
flex-direction: column-reverse;
}
.referenz {
padding-top: 50px;
}